Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227167 - libdwfl dwfl_module_addrname can't find symbol name for symbols with st_size=0.
Summary: libdwfl dwfl_module_addrname can't find symbol name for symbols with st_size=0.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 227231
TreeView+ depends on / blocked
 
Reported: 2007-02-02 21:30 UTC by Nurdin Premji
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.126-1.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-19 01:26:19 UTC


Attachments (Terms of Use)
Patch to implement finding addrname of functions with st_size=0. (deleted)
2007-02-02 21:30 UTC, Nurdin Premji
no flags Details | Diff
A program with a function foo with st_size = 0, that segfaults in foo. (deleted)
2007-02-02 21:32 UTC, Nurdin Premji
no flags Details

Description Nurdin Premji 2007-02-02 21:30:12 UTC
Description of problem:
calling dwfl_module_addrname on a symbol with a st_size of 0 returns null when
it should return the symbol size.

Version-Release number of selected component (if applicable):
0.125

How reproducible:
always.

Steps to Reproduce:
1. Create assembly test with code for a function with no symbol size. That
segfaults.
2. Run the program and try to get a backtrace using dwfl_module_addrname.
  
Actual results:
Get null.

Expected results:
Get foo().

Additional info:
Check out the patch for a possible solution.

Comment 1 Nurdin Premji 2007-02-02 21:30:12 UTC
Created attachment 147253 [details]
Patch to implement finding addrname of functions with st_size=0.

Comment 2 Nurdin Premji 2007-02-02 21:32:07 UTC
Created attachment 147254 [details]
A program with a function foo with st_size = 0, that segfaults in foo.

Comment 3 Roland McGrath 2007-02-03 19:39:20 UTC
I've done a different fix.


Note You need to log in before you can comment on or make changes to this bug.